package com.tourism.webadmin.enums;

import java.util.HashMap;
import java.util.Map;

/**
 * SystemDefault 类。
 * <p>
 * 描述：系统消息 关注消息 互动消息 发送id和群组id
 *
 * @author huangwenwen
 * @date 2025/1/5
 */


public class SystemDefault {

    /**
     * 系统消息
     */
    public static final Long SYSTEM_USERID_OR_GROUPID = -1L;
    /**
     * 关注消息
     */
    public static final Long FOCUS_USERID_OR_GROUPID = -2L;

    /**
     * 互动消息
     */
    public static final Long INTERACT_USERID_OR_GROUPID = -3L;


    private static final Map<Object, String> DICT_MAP = new HashMap<>(10);
    static {
        DICT_MAP.put(SYSTEM_USERID_OR_GROUPID, "系统消息");
        DICT_MAP.put(FOCUS_USERID_OR_GROUPID, "关注消息");
        DICT_MAP.put(INTERACT_USERID_OR_GROUPID, "互动消息");

    }

    /**
     * 判断参数是否为当前常量字典的合法值。
     *
     * @param value 待验证的参数值。
     * @return 合法返回true，否则false。
     */
    public static boolean isValid(Integer value) {
        return value != null && DICT_MAP.containsKey(value);
    }

    /**
     * 私有构造函数，明确标识该常量类的作用。
     */
    private SystemDefault() {
    }


}
